# ij.user property

#### Function

Specifies the logon name used to establish the connection. This property is used in conjunction with the ij.password property to authenticate a connection. If authentication is not active then these properties are ignored.

When a username is supplied you need to be aware of the database schema. When you connect using `ij.user`, the default database schema applied to all SQL statements is the same as the user id provided even if the schema does not exist. Use the SET SCHEMA statement to change the default when the schema does not match the username. Alternately you can fully qualify the database objects referred to in the SQL statements . If no user is specified, no SET SCHEMA statement has been issued, or SQL statements do not include the schema name, all database objects are assumed to be under the APP schema.

#### Syntax

    ij.user=username

#### Example

    java -Dij.user=me -Dij.password=mine org.apache.derby.tools.ij
    ij version 10.5
    ij> connect 'jdbc:derby:sampleDB';
    ij> set schema finance;
    ij> select * from accounts;

See the Java DB Developer's Guide for more information on Derby and security.
Parent topic: ij properties reference
Related reference
ij.connection.connectionName property
ij.database property
ij.dataSource property
ij.driver property
ij.exceptionTrace property
ij.maximumDisplayWidth property
ij.outfile property
ij.password property
ij.protocol property
ij.protocol.protocolName property
ij.showErrorCode property
ij.showNoConnectionsAtStart property
ij.showNoCountForSelect property
ij.URLCheck property
derby.ui.codeset property